Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.accessibility
Class AccessibleControlEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.accessibility.AccessibleControlEvent

All Implemented Interfaces:
  Serializable

public class AccessibleControlEvent
extends org.eclipse.swt.internal.SWTEventObject

Instances of this class are sent as a result of accessibility clients sending messages to controls asking for detailed information about the implementation of the control instance. Typically, only implementors of custom controls need to listen for this event.

Note: The meaning of each field depends on the message that was sent.

Since:
  2.0
See Also:
  `AccessibleControlListener`, `AccessibleControlAdapter`, Serialized Form

Field Summary
`Accessible` | `accessible`
`int` | `childID`
`Object[]` | `children`
`int` | `detail`
`int` | `height`
`String` | `result`
`int` | `width`
`int` | `x`
`int` | `y`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AccessibleControlEvent(Object source)` Constructs a new instance of this class.

Method Summary
`String` | `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### childID

    public int childID

### accessible

    public Accessible accessible

### x

    public int x

### y

    public int y

### width

    public int width

### height

    public int height

### detail

    public int detail

### result

    public String result

### children

    public Object[] children

Constructor Detail

### AccessibleControlEvent

    public AccessibleControlEvent(Object source)

  Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.